Enable or disable an alert channel without re-uploading config
curl --request PATCH \
--url https://api.devhelm.io/api/v1/alert-channels/{id}/enabled \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://api.devhelm.io/api/v1/alert-channels/{id}/enabled"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://api.devhelm.io/api/v1/alert-channels/{id}/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"channelType": "email",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"displayConfig": {
"recipients": [
"<string>"
],
"region": "<string>",
"severityOverride": "<string>",
"mentionRoleId": "<string>",
"customHeaders": {},
"chatId": "<string>",
"priority": "<string>",
"channel": "<string>",
"routingKey": "<string>",
"deviceIden": "<string>",
"teamId": "<string>",
"visibility": "<string>",
"severity": "<string>",
"site": "<string>",
"projectKey": "<string>",
"phoneNumber": "<string>",
"verifiedPhoneNumberId": 123,
"phoneNumbers": [
"<string>"
],
"voiceLanguage": "<string>",
"preferredLanguage": "<string>"
},
"configHash": "<string>",
"managedBy": "DASHBOARD",
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"lastDeliveryStatus": "<string>"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Alert Channels
Enable or disable an alert channel without re-uploading config
PATCH
/
api
/
v1
/
alert-channels
/
{id}
/
enabled
Enable or disable an alert channel without re-uploading config
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
Request body for toggling a resource's enabled state
Whether the resource should be enabled
Response
OK
Alert channel with non-sensitive configuration metadata
Show child attributes
Show child attributes